EDIT - bug #9665

Filter out property change event for created and updated and cacheStrategy
06/11/2021 01:20 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.25

Severity: major Found in Version:

Description

Currently these events (created and updated) are fired by the CdmPreDataChange Listener which results in setting titleCaches back
to null again. In some cases this leads to a situation where the titleCache is not saved correctly but null is stored instead.

This definetly happened in 1 test related to implementation for #9664.

It might also be the reason for #9649.

And of course it is not good for performance reasons.

Related issues:

Related to EDIT - feature request #9664: Add nomenclaturalTitleCache to TeamO... Resolved
Related to EDIT - bug #9649: Specimens sometimes have empty titteCache instea... Closed
Related to EDIT - bug #2449: Some or many names have an empty fullTitteCache ... In Progress
Related to EDIT - bug #2448: Missing updated by/when (e.g. in PalmWeb) Worksforme

Associated revisions

Revision 466620b1 - 06/25/2021 10:21 AM - Andreas Miiller
fix #9665 filter propertyChange events for created and updated

History

#1 - 06/11/2021 01:20 PM - Andreas Miiller

- Related to feature request #9664: Add nomenclaturalTitleCache to TeamOrPersonBase added

#2 - 06/11/2021 01:20 PM - Andreas Miiller
- Related to bug #9649: Specimens sometimes have empty titleCache instead of class<UUID> added

#3 - 06/11/2021 01:24 PM - Andreas Miiller

- Status changed from New to Resolved

fixed, will be merged into develop with uml 5.25

#4 - 06/25/2021 07:58 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#5 - 07/02/2021 08:33 PM - Andreas Miiller

- Related to bug #2449: Some or many names have an empty fullTitleCache though information is atomized added

#8 - 12/09/2021 11:51 PM - Andreas Miiller
- Related to bug #2448: Missing updated by/when (e.g. in PalmWeb) added
